MNDeployment # 2564 (Deprecated): ORNL DAAC

Set dateUploaded date in SystemMetadata to reflect true ORNLDAAC upload dates

2014-03-14 00:59 - Chris Jones

Status: Closed Start date: 2014-03-14

Priority: Normal Due date:  

Assignee: Ranjeet Devarakonda % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

Many Member Nodes such as the ORNLDAAC have been curating data for years (or even decades) prior to DataONE.  Therefore,

for these datasets, the SystemMetadata.dateUploaded field should reflect the date when the repository first registered the dataset. 

Particularly, Tier I nodes such as ORNLDAAC do not implement the MNStorage.create() method, and so need to rely on the creation

date of the original science metadata documents.

The following list shows ORNLDAAC identifiers and their dateUploaded values, all of which range from 2012 to 2013, which does not

represent the actual upload dates to the DAAC.

https://cn.dataone.org/cn/v1/query/solr/?q=datasource:*ORNLDAAC&fl=identifier,dateUploaded&rows=10000&wt=csv

Update each system metadata document on the member node with dateUploaded dates that reflect the true upload dates. Once

done, contact Chris/Robert/Ben/Skye, etc. (or just support@dataone.org) to have the content re-harvested so the CNs reflect the

correct dates.

History

#1 - 2014-03-14 01:00 - Chris Jones

- Description updated

#2 - 2014-03-14 03:29 - Chris Jones

- Assignee changed from Giri Palanisamy to Ranjeet Devarakonda

#3 - 2014-04-17 15:49 - Chris Jones

From our 04/17/2014 conference call with Bob, Giri, Ranjeet, Jim, and Laura:

We discussed the dateUploaded date, and Ranjeet and Jim said that the packages that they harvest are generated every day, and so the

dataUploaded gets set to a very recent date.  However, Bob said that they internally keep track of the 'ingest date' for reporting purposes.  This ingest

date is the date that should be set in the dateUploaded field.  Ranjeet, Jim, and Giri will look into enabling this.

#4 - 2018-01-22 21:35 - Amy Forrester

- Sprint set to Q1-2018

#5 - 2018-01-25 20:11 - Amy Forrester

that there was no activity, and it can be re-opened if need be.

#6 - 2018-01-25 20:12 - Amy Forrester

- % Done changed from 0 to 100

- Status changed from New to Closed
